.video-item {
    height: 100%;
    color: $dark;
    overflow: hidden;
    background: $gray;
    border-radius: 16px;
    text-decoration: none;

    &:hover {
        color: $dark;
        text-decoration: none;
    }

    &__media {
        display: block;
        position: relative;
    }

    &__image {
        z-index: 1;
        display: block;
        position: relative;
    }

    &__play {
        top: calc(50% - 1.75rem);
        left: calc(50% - 1.75rem);
        z-index: 10;
        width: rem(56);
        height: rem(56);
        position: absolute;
        display: inline-block;
    }

    &__content {
        padding: rem(16);
    }

    &__text {
        font-weight: 500;
        font-size: rem(18);
        line-height: 135%;
        text-decoration: none;
    }

    &__date {
        color: #83888F;
        font-weight: 400;
        font-size: rem(16);
        line-height: 140%;
        margin-top: rem(4);
    }

    @include media-breakpoint-up(md) {

    }

    @include media-breakpoint-up(xl) {
        border-radius: 24px;

        &__play {
            top: calc(50% - 2.25rem);
            left: calc(50% - 2.25rem);
            width: rem(72);
            height: rem(72);
        }

        &__content {
            padding: rem(24);
        }

        &__text {
            font-size: rem(20);
            line-height: 140%;
        }

        &__date {
            margin-top: rem(10)
        }
    }
}

.speaker-item {
    color: $white;
    display: block;
    overflow: hidden;
    position: relative;
    border-radius: 20px;
    text-decoration: none;
    height: 304px;

    &:before {
        z-index: 5;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        height: 218px;
        display: block;
        position: absolute;
        background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
    }

    i {
        font-style: normal;
    }

    &__image {
        z-index: 1;
        height: 100%;
        display: block;
        position: relative;
    }

    &__content {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 20;
        padding: rem(20);
        display: block;
        position: absolute;
    }

    &__title {
        display: block;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(25);
    }

    &__text {
        display: block;
        overflow: hidden;
        max-height: rem(180);
        margin-top: rem(15);
        font-size: rem(14);
        line-height: rem(20);
    }

    &__button {
        color: $white;
        stroke: $white;
        height: rem(32);
        border-radius: 6px;
        padding: rem(4) rem(12);
        display: inline-flex;
        align-items: center;
        justify-content: center;
        margin-top: rem(16);
        background: rgba(255, 255, 255, 0.2);
        backdrop-filter: blur(2px);

        i {
            font-size: 0;
            line-height: 0;
            height: rem(20);
            margin-left: rem(5);
            display: inline-block;
            flex-shrink: 0;

        }
    }

    &__wrap {
        display: block;
    }

    &__hover {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 25;
        opacity: 0;
        visibility: hidden;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        position: absolute;
        padding: rem(20);
        background: rgba(0, 0, 0, 0.8);
        transition: 0.3s;
    }

    &:hover {
        color: $white;
        border-radius: 20px;
        text-decoration: none;
    }

    &--open {

        .speaker-item {

            &__content {
                opacity: 0;
                visibility: hidden;
                transition: .3s;
            }

            &__hover {
                opacity: 1;
                visibility: visible;
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        height: 344px;

        &:before {
            height: 188px;
        }

        &__button {
            display: none;
        }

        &__content {
            opacity: 1;
            visibility: visible;
            padding: rem(24) rem(20);
            transition: .3s;
        }

        &__text {
            max-height: 200px;
        }

        &__title {
            font-size: rem(25);
            line-height: rem(28);
        }

        &__hover {
            padding: rem(24) rem(20);
            transform: translateY(100%);
        }

        &:hover {

            .speaker-item {

                &__content {
                    opacity: 0;
                    visibility: hidden;
                    transition: .3s;
                }

                &__hover {
                    opacity: 1;
                    visibility: visible;
                    transform: translateY(0%);
                    transition: .3s;
                }
            }
        }

        &--open {

            .speaker-item {

                &__content {
                    opacity: 1;
                    visibility: visible;
                }

                &__hover {
                    opacity: 0;
                    visibility: hidden;
                }
            }
        }
    }
}

.event-item {
    height: 100%;
    overflow: hidden;
    position: relative;
    border-radius: 24px;
    box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
        linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
        linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
        opacity: 1;
        transition: .3s;
    }

    &__image {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        position: absolute;
    }

    &__main {
        z-index: 10;
        height: 100%;
        position: relative;
        min-height: rem(330);
        padding: rem(30) rem(20) rem(20) rem(20);
        display: flex;
        flex-direction: column;
    }

    &__title {
        color: $white;
        display: block;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(22);
        margin-bottom: rem(18);
        text-decoration: none;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    &__tags {
        max-width: rem(440);
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;

        > * {
            margin: 0 rem(5) rem(5) 0;
        }
    }

    &__buttons {
        flex-grow: 1;
        padding-top: rem(25);
        display: flex;
        align-items: flex-end;
    }

    &__button {

        &:first-child {
            margin-right: rem(5);
        }

        &--hide-sm {
            display: none;
        }
    }

    &__message {
        color: $black;
        top: rem(10);
        left: rem(10);
        right: rem(10);
        bottom: rem(10);
        z-index: 100;
        padding: rem(15);
        position: absolute;
        background: $white;
        border-radius: 24px;
        display: flex;
        flex-direction: column;

        .event-item {

            &__title {
                color: $dark;
                cursor: default;
                max-width: rem(400);
                margin-bottom: rem(5);
            }

            &__text {
                max-width: rem(400);
            }
        }
    }

    &__meta {
        padding: 0;
        opacity: 0.7;
        list-style: none;
        font-size: rem(14);
        line-height: rem(20);
        margin: 0 rem(-12) 0 0;
        white-space: nowrap;
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;
        flex-grow: 1;

        li {
            position: relative;
            margin-right: rem(12);
        }
    }

    &__text {
        margin-bottom: rem(10);
    }


    @include media-breakpoint-up(md) {

        &__main {
            padding: rem(20);
            min-height: rem(344);
        }

        &__title {
            font-size: rem(24);
            line-height: rem(30);
            margin-bottom: rem(10);
        }

        &__tags {

            > * {
                margin: 0 rem(10) rem(10) 0;
            }
        }

        &__meta {

            li {
                margin-right: rem(16);

                &:not(:last-child) {

                    &:before {
                        top: calc(50% - 3px);
                        right: -9px;
                        width: 3px;
                        height: 3px;
                        content: '';
                        background: $black;
                        position: absolute;
                        border-radius: 50%;
                    }

                }
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__image {
            transition: .3s;
        }

        &__button {

            &--hide-sm {
                display: block;
                margin-right: rem(6);
            }
        }

        &:hover {

            &:before {
                background: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
                linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
                linear-gradient(0deg, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3));
                opacity: 0.5;
                transition: .3s;
            }
        }
    }
}

.item-tag {
    font-weight: 500;
    font-size: rem(14);
    line-height: rem(16);
    border-radius: 10px;
    //   white-space: nowrap;
    padding: rem(10) rem(14);
    backdrop-filter: blur(10px);
    letter-spacing: -0.01em;
    background: rgba(255, 255, 255, 0.5);
    display: inline-flex;
    align-items: center;

    &--white {
        background: rgba(255, 255, 255, 1);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);
        line-height: rem(18);
    }
}
